Package fr.gouv.vitam.collect.common.enums

# Enum Class TransactionStatus

java.lang.Object
java.lang.Enum<TransactionStatus>
fr.gouv.vitam.collect.common.enums.TransactionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionStatus>`, `Constable`

public enum TransactionStatus extends Enum<TransactionStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORTED`
  Transaction has been aborted.
  `ACK_KO`
  Transaction SIP ingest failed with errors.
  `ACK_OK`
  Transaction SIP has been successfully ingested and acknowledged by Vitam without errors.
  `ACK_WAITING`
  Deprecated.
  Unused.
  `ACK_WARNING`
  Transaction SIP has been successfully ingested and acknowledged by Vitam, but has warnings.
  `KO`
  Transaction has errors.
  `OPEN`
  Transaction is OPEN and can be modified
  `READY`
  Transaction is sealed / closed for modification.
  `SENDING`
  Transaction SIP is being sent to Vitam
  `SENT`
  Transaction SIP has been successfully uploaded to Vitam.
  `VALIDATED`
  Transaction SIP has been successfully validated / generated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TransactionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransactionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPEN

    public static final TransactionStatus OPEN
    Transaction is OPEN and can be modified

  - ### READY

    public static final TransactionStatus READY
    Transaction is sealed / closed for modification.

  - ### VALIDATED

    public static final TransactionStatus VALIDATED
    Transaction SIP has been successfully validated / generated.

  - ### SENDING

    public static final TransactionStatus SENDING
    Transaction SIP is being sent to Vitam

  - ### SENT

    public static final TransactionStatus SENT
    Transaction SIP has been successfully uploaded to Vitam.

  - ### KO

    public static final TransactionStatus KO
    Transaction has errors. It must be reopened for edition or aborted.

  - ### ACK_OK

    public static final TransactionStatus ACK_OK
    Transaction SIP has been successfully ingested and acknowledged by Vitam without errors.

  - ### ACK_WARNING

    public static final TransactionStatus ACK_WARNING
    Transaction SIP has been successfully ingested and acknowledged by Vitam, but has warnings.

  - ### ACK_KO

    public static final TransactionStatus ACK_KO
    Transaction SIP ingest failed with errors.

  - ### ABORTED

    public static final TransactionStatus ABORTED
    Transaction has been aborted.

  - ### ACK_WAITING

    public static final TransactionStatus ACK_WAITING
    Deprecated.
    Unused. Kept for java API backward compatibility.

- ## Method Details

  - ### values

    public static TransactionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransactionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null